Skip to content

Update Review Playbook

PATCH /review-playbooks/{playbook_id}

Renaming edits the row; changing templates writes a new revision (§10).

NameInTypeNotes
playbook_idpathstring (uuid)required—
FieldTypeNotes
namestring | nulloptionalmin length 1 max length 200
descriptionstring | nulloptionalmax length 4000
templatesobject | nulloptional—
is_activeboolean | nulloptional—
change_notestring | nulloptionalmax length 500
StatusDescriptionBody
200Successful ResponseReviewPlaybookView
422Validation ErrorHTTPValidationError
Terminal window
curl -X PATCH https://your-deployment.example.com/review-playbooks/{playbook_id} \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
idstring (uuid)required—
slugstringrequired—
namestringrequired—
descriptionstring | nullrequired, nullable—
scopeworkspace | organization | platformrequired—
is_defaultbooleanrequired—
is_activebooleanrequired—
active_revision_idstring (uuid) | nullrequired, nullable—
revision_numberintegerrequired—
templatesobjectrequired—
organization_idstring (uuid) | nullrequired, nullable—
workspace_idstring (uuid) | nullrequired, nullable—
created_atstring (date-time)required—
updated_atstring (date-time)required—